host=`echo $SSH_CLIENT | cut -d' ' -f1`
echo "host=$host"

# Konstanten, die angepasst werden müssen
pc_passwort=passwort_auf_dem_host_PC
# zB pc_passwort=mein_passwort

pc_user=user_name_auf_dem_host_PC
# zB pc_user=ich

pc_backup_dir=backup_verzeichnis_auf-host_PC
# zB pc_backup_dir=/media/ich/data/backups/raspi

mount_point=mount_point_hier_sowas_wie_media_host
# zB mount_point=/media/host_pc

pc_ssh_port=ssh_port_auf_host_pc
# zB pc_ssh_port=22

# mittels sshfs ein entferntes verzeichnis auf dem Host=PC mounten
echo $pc_passwort | sshfs $pc_user@$host:/$pc_backup_dir $mount_point -o password_stdin -o port=$pc_ssh_port

cd $mount_point

tag=`date +%Y%m%d`
file=$tag".img.gz"

echo "save to $file"
start=$(date +%s)

dd if=/dev/mmcblk0 bs=1M | gzip > $file
# komplette SD-Karte

cd ~

fusermount -u $mount_point
end=$(date +%s)
diff=$(( $end - $start ))
echo "$tag : $diff secs" >> created_images.log
